Subject: Re: tcp bw in 2.6

From: Ben Greear <[email-masked]>
Date: Tue, 02 Oct 2007 10:18:56 -0700

Larry McVoy wrote:
>> I have a more complex configuration & application, but I don't see this 
>> problem in my testing.  Using e1000 nics and modern hardware 
>>     
>
> I'm using a similar setup, what kernel are you using?
>   
I'm currently on 2.6.20, and have also tried 10gbe nics on 2.6.23 with
good results.  At least for my app, performance has been pretty steady
at least as far back as the .18 kernels, and probably before....

I do 64k or smaller writes & reads, and non-blocking IO (not sure if that
would matter..but I do :)

Have you tried something like ttcp, iperf, or even regular ftp?

Checked your nics to make sure they have no errors and are negotiated
to full duplex?

Thanks,
Ben

-- 
Ben Greear <[email-masked]> 
Candela Technologies Inc  http://www.candelatech.com